# onyx_l2_interface – Manage Layer-2 interface on Mellanox ONYX network devices

New in version 2.5.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of Layer-2 interface on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_vlan - |  | Configure given VLAN in access port.
aggregate - |  | List of Layer-2 interface definitions.

mode
-

Choices:
- access ←
- trunk
- hybrid

Mode in which interface needs to be configured.

name - |  | Name of the interface.

state
-

Choices:
- present ←
- absent

State of the Layer-2 Interface configuration.

trunk_allowed_vlans - |  | List of allowed VLANs in a given trunk port.

## Examples

    - name: configure Layer-2 interface
      onyx_l2_interface:
        name: Eth1/1
        mode: access
        access_vlan: 30
    - name: remove Layer-2 interface configuration
      onyx_l2_interface:
        name: Eth1/1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always. | The list of configuration mode commands to send to the device Sample: ['interface ethernet 1/1', 'switchport mode access', 'switchport access vlan 30']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.